﻿using System;
using System.Runtime.InteropServices;
using System.Windows.Forms;

namespace Marker
{
	internal static class ProgramMarker
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main( )
		{
			// redirect console output to parent process;
			// must be before any calls to Console.WriteLine()
			AttachConsole( ATTACH_PARENT_PROCESS );

			Application.EnableVisualStyles( );
			Application.SetCompatibleTextRenderingDefault( false );
			Application.Run( new FormMain( ) );
		}

		// required to redirect console output to parent process
		// https://www.csharp411.com/console-output-from-winforms-application/
		[DllImport( "kernel32.dll" )]
		static extern bool AttachConsole( int dwProcessId );
		private const int ATTACH_PARENT_PROCESS = -1;
	}
}
